Pikseller

GET https://qrcodedynamic.com/api/pixels/
curl --request GET \
--url 'https://qrcodedynamic.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Ayrıntılar Açıklama
search İsteğe Bağlı String Arama dizesi
search_by İsteğe Bağlı String Hangi alanda arama yapıyorsunuz. İzin verilen değerler: name , pixel.
type İsteğe Bağlı String İzin verilen değerler: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat
order_by İsteğe Bağlı String Sonuçları hangi alana göre sıralamak gerektiği. İzin verilen değerler: pixel_id , datetime , last_datetime , name.
order_type İsteğe Bağlı String Sonuçların sıralanması. İzin verilen değerler: Artan sıralama için ASC, azalan sıralama için DESC
page İsteğe Bağlı Tamsayı Sonuç almak istediğiniz sayfa numarası. Varsayılan olarak 1.
results_per_page İsteğe Bağlı Tamsayı Sayfa başına kaç sonuç istersiniz. İzin verilen değerler: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Varsayılan değer 25.
{
    "data": [
        {
            "id": 1,
            "type": "facebook",
            "name": "Fb Ads",
            "pixel": "1234567",
            "last_datetime": null,
            "datetime": "2026-04-15 23:32:43",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://qrcodedynamic.com/api/pixels?page=1",
        "last": "https://qrcodedynamic.com/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://qrcodedynamic.com/api/pixels?page=1"
    }
}
GET https://qrcodedynamic.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://qrcodedynamic.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "facebook",
        "name": "Fb Ads",
        "pixel": "1234567",
        "last_datetime": null,
        "datetime": "2026-04-15 23:32:43",
    }
}
POST https://qrcodedynamic.com/api/pixels
Parametreler Ayrıntılar Açıklama
type Gerekli String İzin verilen değerler: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat
name Gerekli String -
pixel Gerekli String -
curl --request POST \
--url 'https://qrcodedynamic.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
    "data": {
        "id": 1
    }
}
POST https://qrcodedynamic.com/api/pixels/{pixel_id}
Parametreler Ayrıntılar Açıklama
type İsteğe Bağlı String İzin verilen değerler: facebook , google_analytics , google_tag_manager , linkedin , pinterest , twitter , quora , tiktok , snapchat
name İsteğe Bağlı String -
pixel İsteğe Bağlı String -
curl --request POST \
--url 'https://qrcodedynamic.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
    "data": {
        "id": 1
    }
}
DELETE https://qrcodedynamic.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://qrcodedynamic.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \